<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Cirugia.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	if ($_POST['Imprimir']) {
		$documento = new Documento();
		
		$texto1 = "1.- MORDER LA GASA FIRMEMENTE POR TREINTA MINUTOS SIN ESCUPIR NI JUNTAR SU SALIVA. SE LA PUEDE PASAR.";
		$texto2 = "2. - DESPUÉS DE LOS TREINTA MINUTOS PODRÁ TIRAR LA GASA SIN ESCUPIR Y TOMAR NIEVE DE AGUA, ADEMÁS DE CONSUMIR UNA DIETA NORMAL BLANDA SIN IRRITANTES NI CONDIMENTOS POR CUATRO DÍAS."; 
		$texto3 = "3. - MANTENER UN CONTROL DE HIGIENE ORAL ESTRICTO BASÁNDOSE EN EL CEPILLADO DE TODOS SUS DIENTES, INCLUYENDO LA ZONA OPERADA.";
		$texto4 = "4. - EL DÍA DE HOY DEBERÁ LUBRICARSE CON CREMA SUAVE LA PIEL DE SUS LABIOS Y MEJILLAS, Y DESPUÉS COLOCARSE COMPRESAS HELADAS SOBRE EL LADO OPERADO DIEZ MINUTOS CADA HORA TODO EL DÍA DE HOY Y CONTINUAR EL DÍA DE MAÑANA.";
		$texto5 = "5. - A PARTIR DEL TERCER DÍA, DEBERÁ LUBRICARSE DE NUEVO LABIOS Y MEJILLAS Y COLOCARSE FOMENTOS HÚMEDO CALIENTES SOBRE EL LADO OPERADO CINCO MINUTOS CADA HORA, TODO EL DÍA.";
		$texto6 = "6. - MEDICAMENTOS:";
		$texto7 = $_POST['txt_medicina'];
		if ($_POST['suturas']) {
			$texto8 = "7. - SU CITA DE CONTROL PARA RETIRO DE SUTURAS SERÁ ".$_POST['txt_tiempocita']." SI TIENE ALGUNA DUDA POR FAVOR COMUNÍQUESE AL TELÉFONO 123 23 62 Ó 123 23 82 DENTRO DEL HORARIO DEL CONSULTORIO O BIEN AL CELULAR 612 140 18 58 PARA ALGUNA EMERGENCIA.";
		} else {
			$texto8 = "7. - SU CITA DE CONTROL SERÁ ".$_POST['txt_tiempocita']." SI TIENE ALGUNA DUDA POR FAVOR COMUNÍQUESE AL TELÉFONO 123 23 62 Ó 123 23 82 DENTRO DEL HORARIO DEL CONSULTORIO O BIEN AL CELULAR 612 140 18 58 PARA ALGUNA EMERGENCIA.";
		}
		$texto9 = "GRACIAS";
		$texto10 = "FELIZ RECUPERACIÓN";
		$texto11 = "FECHA: ".$documento->fechaTexto();
		$texto12 = "D.G.P. AECEM-18061   S.S.A. 25517";
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3."<br>".$texto4."<br>".$texto5."<br>".$texto6."<br>".$texto7."<br>".$texto8."<br>".$texto9."<br>".$texto10."<br>".$texto12;
		
		$cirugia = new Cirugia();
		$cirugia->texto1 = $texto1;
		$cirugia->texto2 = $texto2;
		$cirugia->texto3 = $texto3;
		$cirugia->texto4 = $texto4;
		$cirugia->texto5 = $texto5;
		$cirugia->texto6 = $texto6;
		$cirugia->texto7 = $texto7;
		$cirugia->texto8 = $texto8;
		$cirugia->texto9 = $texto9;
		$cirugia->texto10 = $texto10;
		$cirugia->texto11 = $texto11;
		$cirugia->texto12 = $texto12;
		if (!$cirugia->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Cirugia.";
		}
		$cirugia->id = mysql_insert_id();
		
		$documento->fecha = date(Y."-".m."-".d);
		$documento->tipo = "cirugia";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		
		$documento->textoid = $cirugia->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$cirugia = new Cirugia();
		$cirugia->id = $documento->textoid;
		$cirugia->obtenerdatos();
		
		$texto1 = $cirugia->texto1;
		$texto2 = $cirugia->texto2;
		$texto3 = $cirugia->texto3;
		$texto4 = $cirugia->texto4;
		$texto5 = $cirugia->texto5;
		$texto6 = $cirugia->texto6;
		$texto7 = $cirugia->texto7;
		$texto8 = $cirugia->texto8;
		$texto9 = $cirugia->texto9;
		$texto10 = $cirugia->texto10;
		$texto11 = $cirugia->texto11;
		$texto12 = $cirugia->texto12;
		
	}
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AÑOS - SEXO: ".$paciente->despliegasexo();
	$pdf->SetXY(0,0);
	$pdf->Cell(10,40,'',0,1);
	$pdf->Cell(180,5,$texto11,0,1,R);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto2);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto3);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto4);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto5);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto6);
	$pdf->MultiCell(0,5,$texto7);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto8);
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->Cell(10,5,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto9,0,1,C);
	$pdf->Cell(180,5,$texto10,0,1,C);	
	$pdf->Cell(10,5,'',0,1); //Salto de linea	
	$pdf->Cell(180,5,$texto12,0,1,R);
					
	$pdf->Output();
?>
